# Generated from jekyll-seo-tag-2.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-seo-tag

Name: rubygem-%{gem_name}
Version: 2.8.0
Release: 1%{?dist}
Summary: A Jekyll plugin to add metadata tags for search engines and social networks to better index and display your site's content
License: MIT
URL: https://github.com/jekyll/jekyll-seo-tag
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(html-proofer) >= 3.7
# BuildRequires: rubygem(html-proofer) < 4
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop-jekyll) >= 0.12.0
# BuildRequires: rubygem(rubocop-jekyll) < 0.13
BuildArch: noarch

%description
A Jekyll plugin to add metadata tags for search engines and social networks to
better index and display your site's content.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/script
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.markdown
%doc %{gem_instdir}/docs
%{gem_instdir}/jekyll-seo-tag.gemspec

%changelog
* Fri Feb 04 2022 mockbuilder - 2.8.0-1
- Initial package
